from div import randomData
import socket
import time
import json
#this is a udp dummy server for simulating data sending to the client.

debug = False

localHost = "127.0.0.1"
port = 5006

sock = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
sock.bind((localHost, port))

while True:
    data, addr = sock.recvfrom(1024)
    print("received:", data)
    print('addr:', addr)
    while True:
        motor1Data = randomData.getRandomSpeedData(10);
        motor2Data = randomData.getRandomSpeedData(10);
        motor3Data = randomData.getRandomSpeedData(10);
        motor4Data = randomData.getRandomSpeedData(10);

        vesselXData = randomData.getRandomSpeedData(10);
        vesselYData = randomData.getRandomSpeedData(10);
        vesselThetaData = randomData.getRandomSpeedData(10);

        vesselJsonData = {
            "motorData": {
                "motor1": motor1Data,
                "motor2": motor2Data,
                "motor3": motor3Data,
                "motor4": motor4Data
            },
            "vesselData": {
                "speedX": vesselXData,
                "speedY":vesselYData,
                "speedTheta":vesselThetaData
            }
        }

        dataToSend = json.dumps(vesselJsonData)

        if debug == True:
            print(dataToSend)

        sock.sendto(dataToSend.encode('utf-8'), addr)
        time.sleep(0.2)

    sock.sendto(b'', addr)
